Skip to main content

Change an account's role

PATCH 

/users/:userId

Required role: admin. Only an account or token with the admin role can call this operation.

Example request
curl --request PATCH \
--header "Authorization: Bearer $HOSERVA_TOKEN" \
--header "Content-Type: application/json" \
--data @body.json \
"https://$HOSERVA_HOST:8008/api/v1/users/{userId}"

Viewer or share-only only — the sole admin account is never reachable through this operation.

Request​

Responses​

The updated account.